
```no_run
use bpaf::*;

pub fn options() -> OptionParser<String> {
    let simple = positional("URL").help("Url to open");
    simple.to_options()
}

fn main() {
    println!("{:?}", options().run())
}
```


Output

Same as with argument by default there's no fallback so with no arguments parser fails

$ app 
Error: expected URL, pass --help for usage information

Other than that any name that does not start with a dash or explicitly converted to positional
parameter gets parsed:

$ app https://lemmyrs.org
"https://lemmyrs.org"

$ app "strange url"
"strange url"

$ app -- --can-start-with-dash-too
"--can-start-with-dash-too"

And as usual there's help message

$ app --help

Usage: app URL

Available positional items:

URL

Url to open

Available options:

-h, --help

Prints help information

